package g.g11.mapper;

import g.g11.bean.Order;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;
//import org.springframework.stereotype.Service;

import java.util.List;
@Component
public interface OrderMapper {
    int addOrder(Order order);
    List<Order> getOrderByPage(@Param("start") Integer start, @Param("size") Integer size, @Param("keywords") String keywords);
    Long getCountByKeywords(@Param("keywords") String keywords);
    int updateOrder(@Param("order") Order order);
    int deleteOrderById(@Param("ids") String[] ids);
    //unused
    int addOrders(@Param("orders") List<Order> orders);
    //unused
    List<Order> getOrderByPageShort(@Param("start") int start, @Param("size") Integer size);
}
